> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Mfa Settings

> Require a security key at sign-in for platform admins.

``TRACECAT__PLATFORM_ADMIN_MFA_BYPASS`` is the break-glass override.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json patch /admin/settings/security/mfa
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /admin/settings/security/mfa:
    patch:
      tags:
        - admin
        - admin:settings
      summary: Update Mfa Settings
      description: |-
        Require a security key at sign-in for platform admins.

        ``TRACECAT__PLATFORM_ADMIN_MFA_BYPASS`` is the break-glass override.
      operationId: admin-update_mfa_settings
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MfaPolicyUpdate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MfaPolicyRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
components:
  schemas:
    MfaPolicyUpdate:
      properties:
        mfa_required:
          type: boolean
          title: Mfa Required
          description: >-
            Require a security key or passkey at sign-in. Users without one must
            register one at their next sign-in.
      type: object
      required:
        - mfa_required
      title: MfaPolicyUpdate
    MfaPolicyRead:
      properties:
        mfa_required:
          type: boolean
          title: Mfa Required
        webauthn_available:
          type: boolean
          title: Webauthn Available
        webauthn_unavailable_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Webauthn Unavailable Reason
      type: object
      required:
        - mfa_required
        - webauthn_available
      title: MfaPolicyRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.